package com.fastest.pass.dashboard.presentation.ui.fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.ComposeView
import com.fastest.pass.BaseFragment
import com.fastest.pass.dashboard.presentation.ui.component.BottomTab
import com.fastest.pass.ui.theme.FastestPassTheme
import com.fastest.pass.welcome.presentation.ui.component.ClickType.LOGIN_CLICK
import com.fastest.pass.welcome.presentation.ui.component.ClickType.SIGNUP_CLICK
import com.fastest.pass.welcome.presentation.ui.component.WelcomeTutorial
import com.fastest.pass.welcome.utils.WelcomeNavigationRoute

class DashboardFragment : BaseFragment() {

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        return ComposeView(requireActivity()).apply {
            setContent {
                FastestPassTheme {
                    Scaffold(
                        modifier = Modifier.fillMaxSize(),
                    ) { paddingValues ->
                        Box(
                            modifier = Modifier
                                .fillMaxSize()
                                .padding(bottom = paddingValues.calculateBottomPadding()) // Apply padding to respect system bottom inset
                        ) {
                            BottomTab()
                        }
                    }

                }
            }
        }
    }
}